Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.util
Class SynchronizedSymbolTable

    java.lang.Object
      |
      +--weblogic.apache.xerces.util.SymbolTable
            |
            +--weblogic.apache.xerces.util.SynchronizedSymbolTable

public final class SynchronizedSymbolTable
extends SymbolTable

Synchronized symbol table. This class moved into the util package since it's needed by multiple other classes (CachingParserPool, XMLGrammarCachingConfiguration).

Inner classes inherited from class weblogic.apache.xerces.util.SymbolTable
`SymbolTable.Entry`

Field Summary
`protected SymbolTable` | `fSymbolTable` Main symbol table.

Fields inherited from class weblogic.apache.xerces.util.SymbolTable
`fBuckets, fTableSize, TABLE_SIZE`

Constructor Summary
`SynchronizedSymbolTable()`
`SynchronizedSymbolTable(int size)`
`SynchronizedSymbolTable(SymbolTable symbolTable)` Constructs a synchronized symbol table.

Method Summary
`java.lang.String` | `addSymbol(char[] buffer, int offset, int length)` Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`java.lang.String` | `addSymbol(java.lang.String symbol)` Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`boolean` | `containsSymbol(char[] buffer, int offset, int length)` Returns true if the symbol table already contains the specified symbol.
`boolean` | `containsSymbol(java.lang.String symbol)` Returns true if the symbol table already contains the specified symbol.

Methods inherited from class weblogic.apache.xerces.util.SymbolTable
`hash, hash`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fSymbolTable

    protected SymbolTable fSymbolTable

  Main symbol table.

Constructor Detail

### SynchronizedSymbolTable

    public SynchronizedSymbolTable(SymbolTable symbolTable)

  Constructs a synchronized symbol table.

### SynchronizedSymbolTable

    public SynchronizedSymbolTable()

### SynchronizedSymbolTable

    public SynchronizedSymbolTable(int size)

Method Detail

### addSymbol

    public java.lang.String addSymbol(java.lang.String symbol)

  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.

  Parameters:
    `symbol` - The new symbol.
  Overrides:
    addSymbol in class SymbolTable

### addSymbol

    public java.lang.String addSymbol(char[] buffer,
                                      int offset,
                                      int length)

  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.

  Parameters:
    `buffer` - The buffer containing the new symbol.
    `offset` - The offset into the buffer of the new symbol.
    `length` - The length of the new symbol in the buffer.
  Overrides:
    addSymbol in class SymbolTable

### containsSymbol

    public boolean containsSymbol(java.lang.String symbol)

  Returns true if the symbol table already contains the specified symbol.

  Parameters:
    `symbol` - The symbol to look for.
  Overrides:
    containsSymbol in class SymbolTable

### containsSymbol

    public boolean containsSymbol(char[] buffer,
                                  int offset,
                                  int length)

  Returns true if the symbol table already contains the specified symbol.

  Parameters:
    `buffer` - The buffer containing the symbol to look for.
    `offset` - The offset into the buffer.
    `length` - The length of the symbol in the buffer.
  Overrides:
    containsSymbol in class SymbolTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD